<template>
  <div class="pb-36 overflow-hidden">
    <div class="relative">
      <div class="container px-8 mx-auto">
        <h1
          data-aos="fade-up"
          data-aos-offset="200"
          data-aos-delay="100"
          data-aos-duration="1000"
          data-aos-easing="ease-in-out"
          data-aos-once="false"
          class="text-center py-20 text-5xl font-bold"
        >
          Why Choose Us
        </h1>
        <div
          class="grid grid-cols-1 lg:grid-cols-2 gap-10"
          data-aos="fade-left"
          data-aos-offset="200"
          data-aos-delay="100"
          data-aos-duration="1000"
          data-aos-easing="ease-in-out"
          data-aos-once="false"
        >
          <div class="w-full h-[400px] relative">
            <img
              src="@/assets/img/3.webp"
              alt=""
              class="h-full w-full object-cover rounded-xl"
            />
            <div
              class="absolute inset-0 bg-rgba-black rounded-xl flex justify-center items-center"
            >
              <v-btn
                type=""
                class="play-btn-style bg-white z-10 w-[120px] h-[120px] rounded-full text-[#ea1e00] transition duration-0 hover:duration-150 hover:bg-[#ff5e14] hover:text-white ease-in"
              >
                <font-awesome-icon icon="fa-solid fa-play" class="text-4xl" />
              </v-btn>
            </div>
          </div>
          <div
            v-for="itemsWhyClients in listWhyClients"
            :key="itemsWhyClients.title"
            class=""
          >
            <h2 class="text-3xl lg:text-[40px] text-primary-400 font-bold">
              {{ itemsWhyClients.title }}
            </h2>
            <ul class="mt-4 ml-4 pl-4 list-outside list-style-color">
              <li
                v-for="(items, index) in itemsWhyClients.listAnswers"
                :key="index"
                class="text-lg lg:text-xl mb-1"
              >
                <span>{{ items.title }}</span>
              </li>
            </ul>
          </div>
        </div>
        <div
          class="grid grid-cols-1 lg:grid-cols-2 gap-5 mt-36"
          data-aos="fade-right"
          data-aos-offset="200"
          data-aos-delay="100"
          data-aos-duration="1000"
          data-aos-easing="ease-in-out"
          data-aos-once="true"
        >
          <div
            v-for="itemsWhyClients in listWhyDrivers"
            :key="itemsWhyClients.title"
            class=""
          >
            <h2 class="text-3xl lg:text-[40px] text-primary-400 font-bold">
              {{ itemsWhyClients.title }}
            </h2>
            <ul class="mt-4 ml-4 pl-4 list-outside list-style-color">
              <li
                v-for="(items, index) in itemsWhyClients.listAnswers"
                :key="index"
                class="text-lg lg:text-xl mb-1"
              >
                <span>{{ items.title }}</span>
              </li>
            </ul>
          </div>
          <div class="w-full h-[400px] relative -order-1 lg:order-2">
            <img
              src="@/assets/img/4.webp"
              alt=""
              class="h-full w-full object-cover rounded-xl"
            />
            <div
              class="absolute inset-0 bg-rgba-black rounded-xl flex justify-center items-center"
            >
              <v-btn
                type=""
                class="play-btn-style bg-white z-10 w-[120px] h-[120px] rounded-full text-[#ea1e00] transition duration-0 hover:duration-150 hover:bg-[#ff5e14] hover:text-white ease-in"
              >
                <font-awesome-icon icon="fa-solid fa-play" class="text-4xl" />
              </v-btn>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import backgroundSection2 from '@/assets/img/bg/01.jpg'

export default {
  layout: 'defaultHeader',
  data() {
    return {
      backgroundSection2,
      listWhyClients: [
        {
          title: 'WHY CLIENTS PICK US ?',
          listAnswers: [
            { title: 'We own our own trucks, no broker is needed' },
            {
              title:
                'We have our own chassis and will be acquiring more. Therefore, there will be less waiting time at the port',
            },
            { title: 'Full visibility of cargo movement from start to finish' },
            { title: '20 years of customer service / expertise' },
            {
              title:
                'Free drop and pick within 10 - mile radius of LA/LB Terminal and Rancho Cucamonga, CA',
            },
            {
              title:
                'Currently Handling shipments going all over CA, NV and AZ',
            },
            {
              title:
                'Our Trucks and Driver are given first priority when delivering to our warehouses',
            },
          ],
        },
      ],
      listWhyDrivers: [
        {
          title: 'WHY DRIVERS JOIN OUR TEAM ?',
          listAnswers: [
            {
              title:
                'Monday - Friday Work (Weekends are available but that is up to driver)',
            },
            {
              title: 'Home daily and on weekends',
            },
            { title: 'Comprehensive Benefits' },
            { title: 'Sign on bonus' },
            {
              title: 'Quarterly Safety Bonus',
            },
            {
              title:
                'First Class Company Equipment - Latest model and well maintained tractors and trailers',
            },
            {
              title: 'Vacations and Paid Holiday',
            },
            {
              title: 'Driver Referral Bonus',
            },
          ],
        },
      ],
    }
  },
}
</script>
